[include version.inc]
[comment {-*- tcl -*- doctools manpage}]
[manpage_begin "tarray_build" n [vset tarray_version]]
[copyright "2012-2013 Ashok P. Nadkarni"]
[moddesc "Typed Array extension"]
[titledesc "Building and installing the tarray extension"]

[description]

Binary distributions of [package tarray] are available from the 
SourceForge download area at
[uri http://sourceforge.net/projects/tarray/files]. This document
describes building [package tarray] from sources.
[para]
The [package tarray] extension is built using
the [uri http://andreas-kupries.github.com/critcl/ Critcl] package.
The [package Critcl] package allows for an extension to be built in several
forms. This document only summarizes building the [package tarray]
extension as a binary package.

[list_begin enumerated]
[enum] Download a copy of the [package tarray] sources by either
cloning its Mercurial repository or downloading a snapshot of the sources.
See [uri https://sourceforge.net/p/tarray/code/ci/tip/tree/] for details.
[enum] Download and install the [package Critcl] package (3.1 or later)
as described
in [uri http://andreas-kupries.github.com/critcl/doc/files/critcl_installer.html].
[enum] Set up your compiler environment, for example, running the vcvars.bat
file on Windows.
[enum] Change to the [file src] directory in the [package tarray]
source distribution and run a command of the form:
[example_begin]
tclsh build.tcl -target TARGETNAME
[example_end]
where TARGETNAME is one of the [package Critcl] build targets. This will
create a [package tarray] package under the [file build] directory
in your [package tarray] source tree.
[list_end]
You can of course create your own build scripts with different [package Critcl]
options using the [file build.tcl] file as a template.

[manpage_end]
