[include version.inc]
[comment {-*- tcl -*- doctools manpage}]
[manpage_begin "tarray" n [vset tarray_version]]
[copyright "2012-2013 Ashok P. Nadkarni"]
[moddesc "Typed Arrays"]
[titledesc "Introduction to typed arrays"]

[description]

[emph {
Note that this extension is very much in an experimental stage. It should
be robust enough with a fairly comprehensive test suite. However, the API
is incomplete and subject to change.
}]
[para]
The [cmd tarray] extension implements a new Tcl collection data
type - typed array - and associated commands
[uri column.html [cmd column]] and [uri table.html [cmd table]].
A typed array stores elements of a specific data type in native format.
The primary motivation for this extension
is efficient memory utilization and speed of certain operations in
applications dealing with large numbers of elements.
Typed columns and tables do not really provide any additional
capabilities over Tcl's built-in commands, particularly [cmd list] and
[cmd dict] and the script libraries based on these. Their primary use is
in applications with large number of data items where memory consumption
and cost of operations, such as searching and sorting, is greatly
reduced by storing data in native format and parallelizing of operations.

[para]
The [cmd tarray] extension was inspired in part by
[uri http://flightaware.github.com/speedtables/ Speedtables] and to 
a lesser extent by [uri http://tclral.sourceforge.net/ TclRal].

[para]
The philosophy behind [package tarray] is to provide efficient facilities 
on top of which more sophisticated data structures, possibly customized
for specific applications, can be easily scripted and experimented with.
Therefore, unlike
[uri http://flightaware.github.com/speedtables/ Speedtables], [package tarray]
does not require creation and recompilation of a new extension for
each table definition. Moreover, [package tarray] provides value-based
semantics so that columns and tables can be used as basic building blocks.
Additional facilities that Speedtables provides,
like remote access, are expected to be implemented at the script level.

[section "Further Reading"]
For detailed documentation, including reference documentation and 
download and build instructions, follow the links at the top
of this page.

[manpage_end]
